Subject: bug#56561: 29.0.50; Infloop in try_window

From: Po Lu <[email-masked]>
Date: Sat, 16 Jul 2022 16:47:19 +0800

Eli Zaretskii <[email-masked]> writes:

> Then it's what the user or the application who set the values wanted,
> and we shouldn't override that.  And in this case having try_window
> return zero is perfectly OK, btw, even if it didn't process through
> ZV.

The point I was making was that aborting in such a situation (when there
is no row where ends_at_zv_p is true) will result in false positives
when the tooltip is intentionally too small to display the entire text.

> I'm reading the code, not the commentary.  I will fix the commentary
> to be more accurate: it doesn't take into account the special way we
> invoke this function from x-show-tip.

Thanks.